Subject: TCA: IRRE Inline records + renderMode "tree" -> "Error 500, Internal Server Error"

Description

| am trying to use the new treeView (renderMode: "tree") in combination with IRRE Inline-Records feature.

| configured my records to have different fields enabled depending on a type-switch. The tree-Field is used for one of these
TCA-Types.

The Error comes up while trying to open a closed IRRE-Item. The error only appears after closing the previously created item and
closing the IRRE-Item. Then re-enter the LIST-Mode and try to open the IRRE-Item.
The error does NOT come up if...
- the type-view does not include the tree-field!
- the type-view for the treeView is rendered without having renderMode:tree enabled
(it will be rendered as usual select-list)

| am trying to implement the feature in once of my new extensions for TYPQO3. | could provide the pre-release code for re-production
of the error.

Any help would be very great to finish the feature.

Best regards
Gabriel

Related issues:
duplicates Core - Bug # 27957: TCA tree somehow causes fatal error when using... Resolved 2011-07-07

History

#1 - 2011-11-07 12:34 - Gabriel Kaufmann / Typoworx NewMedia

| did some further research to find the reason for this error. So | traced the Errors on ajax.php:

This happens in the Javascript-Console (tested on Google-Chrome)

POST http://intern.typoworx.de/tx_dev/typo3/ajax.php 500 (Internal Server Error)
XHR finished loading: "http://intern.typoworx.de/tx_dev/typo3/ajax.php".

(Note: this response takes some seconds...)

XHR finished loading:
"http://intern.typoworx.de/tx_dev/typo3/ajax.php?_dc=1320664678001&ajaxID=BackendLogin%3A%3AisTimedOut&skipSessionUpdate=1".
The last message is repeated continously with some pauses between it!

The response for Ajax contains the following:
(http://intern.typoworx.de/tx_dev/typo3/ajax.php? dc=1320664678001&#38;ajaxID=BackendLogin%3A%3AisTimedOut&#38;skipSessionUpdate=1)

{"login":{"will_time_out":false}}

This looks like the AJAX-Request is going to believe my Login-Session in Backend is timing out?
But in fact | can work without problems in Backend.

Note: | was using EXT:disablebackendformprotection to avoid some bugging messages while working in TYPO3 BE-Forms. | disabled the extension to

make shure it isn't causing the bug. But it still appears after disabling it.

#2 - 2011-11-08 11:54 - Gabriel Kaufmann / Typoworx NewMedia

We noticed the same problem on TYPO3 4.5.0 using EXT:powermail (also using IRRE). There also comes up the "Error 500" while trying to open
Formular-ltems of Powermail Form-Records. By the way - this is a different Debian-Server also using LAMP (Linux, Apache, PHP5).

Update (2):

| also tested to upgrade to TYPO3 4.6.0 (current stable) - no luck! The "Error 500" still keeps bugging me.

#3 - 2011-11-15 13:40 - Gabriel Kaufmann / Typoworx NewMedia

Does nobody have any idea how to fix this?

The problem still exits!

#4 - 2011-11-21 11:41 - Gabriel Kaufmann / Typoworx NewMedia

Does really nobody has any idea how this issue can be corrected? Probably any "Sponsoring” of this issue may help?

#5 - 2011-12-22 17:58 - Joerg Kummer

Found same problem: TYPO3v4.5.7

Field with TCA config 'select' inside an IRRE element worx fine. Use of renderMode 'tree’ avoids opening for closed existing elements and creating new
elements.

Attend by a sys-log entry:

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1284906026: Language and character encoding are not set. | RuntimeException

thrown in file /pathToMyTYPO3src/t3lib/class.t3lib_pagerenderer.php in line 1795

Which comes, during method includeLanguageFileForlnline in t3lib_pagerenderer class, where file-reference is

"../ltypo3/sysext/lang/locallang_csh_corebe.xml' and $selectionPrefix is 'tcatree’ and $this->charSet is not set.

No solution found.
#6 - 2012-02-06 18:03 - Adrien Crivelli

I have similar error as described by Joerg Kummer with TYPO3 4.5.10 and PHP 5.3.6. Any hints or workarounds yet ?

#7 - 2012-02-06 18:36 - Gabriel Kaufmann / Typoworx NewMedia

Hello Adrien,
hello Joerg,

I'm sorry - 1 don't have a solution yet. | am also hoping for some feedback of the treeView-Developers.

The only way would be to avoid using treeView and IRRE-Records OR to use an alternative Function for the treeView.

| didn't find an alternative to treeView yet! Any recommendations or ideas?

#8 - 2012-02-06 18:51 - Stefan Galinski

A small demo extension can increase the chances that someone takes this bug and fixes it.

#9 - 2012-02-06 22:33 - Gabriel Kaufmann / Typoworx NewMedia

Hello,

| am using the IRRE + treeView Feature in one of my Extension. It is a FAQ-Extension.

http://typo3.org/extensions/repository/view/tnm_nicefag/current/info/

Just install it and enter some dummy-records (1-2 parent category items containing 2 fag-items each). The error will occur while choosing the item-type
"referenced item" within a category. This type is mentioned to reference to an existing item (f.e. duplicate between different categories within the FAQ).
After saving such item once, the error should occur next time you try to open&edit this item.

Feedback for this extension is welcome.

#10 - 2012-05-09 23:23 - Daniel Gercke

Hello,

i have similar error as described by you with Typo3 4.5.13 an PHP 5.2.17 on live system but on my dev system Typo3 4.5.10 and php-fpm-5.3.10 the

error is not reproducible.

I’ve checked the values in localconf.php but no difference.

Hope this help in further analysis.

Daniel

#11 - 2012-08-31 16:28 - Xavier Perseguers
- Status changed from New to Resolved
